let splunkRumOnce;

Drupal.behaviors.splunk_rum = {
  attach: function (context, settings) {
    const splunkRumSettings = drupalSettings.splunkRum;

    if (SplunkRum && !splunkRumOnce && splunkRumSettings.enabled) {
      splunkRumOnce = true;
      SplunkRum.init({
        realm: splunkRumSettings.realm,
        rumAccessToken: splunkRumSettings.accessToken,
        applicationName: splunkRumSettings.applicationName,
        deploymentEnvironment: splunkRumSettings.deploymentEnvironment,
      });
    }
  }
}
